Bug 517471 - FEAT: make our Catalog can recognize illegal testing kernel automatically
Summary: FEAT: make our Catalog can recognize illegal testing kernel automatically
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 5.3
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: hwcert-catalog
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-14 08:48 UTC by BillSun
Modified: 2011-06-27 17:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 17:21:00 UTC


Attachments (Terms of Use)

Description BillSun 2009-08-14 08:48:58 UTC
Description of problem:
Vendors usually upload testing results run with a wrong kernel. For example, we need to use *hugemem* kernel for multiple cores & >4GB RAM & 32-bit testing. But vendors test their system with smp kernel. These packages will both waste our storage space and work time.

Version-Release number of selected component (if applicable):
All versions until now(including Catalog 5.4 edition)


How reproducible:
We can upload testing results with any kind of kernel to our Catalog.

  
Actual results:
Vendors usually upload useless packages with wrong testing kernel. Reviewers have to explain to them and direct them to our on-line policy again and again. 

Expected results:
There are two sub-feature for this issue:
1. Our test plan should display the legal kernel for testing, reviewers is responsible for it. When we make a test plan, we should also declare the required kernel edition.
2. Our Catalog should recognize the illegal kernel testing packages. When vendors try to upload a wrong kernel testing package, Catalog should display a warning notice to him.

Additional info:
This will make our certification work more "Plan Centric".

Comment 3 XINSUN 2009-09-09 00:44:42 UTC
+1

Comment 7 Rob Landry 2011-06-27 17:21:00 UTC
This should be solved @ the test suite level.  The catalog should accept all results for any # of reasons the tests may have been requested.


Note You need to log in before you can comment on or make changes to this bug.